Resent-Date: Sat, 7 Aug 1999 20:32:48 +0200 (MET DST)
Date: Sat, 7 Aug 1999 18:39:52 +0100
From: Richard Hirst <richard@sleepie.demon.co.uk>
To: Jes Sorensen <Jes.Sorensen@cern.ch>
Cc: linux-m68k@lists.linux-m68k.org
Subject: Patch for BVME abort button - 2.2 and 2.3
Resent-From: linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

Hi,
  This corrects handling of the abort button on a BVME6000 - thanks to
Nick Holgate.  Should apply cleanly to 2.2 and 2.3.


--- kernel-source-2.2.8/arch/m68k/bvme6000/config.c	Sun May  9 15:16:44 1999
+++ kernel-source-2.2.10/arch/m68k/bvme6000/config.c	Wed Jul 21 00:46:58 1999
@@ -164,7 +164,7 @@
         unsigned long *old = (unsigned long *)0xf8000000;
 
         /* Wait for button release */
-	while (*config_reg_ptr & BVME_ABORT_STATUS)
+	while (*(volatile unsigned char *)BVME_LOCAL_IRQ_STAT & BVME_ABORT_STATUS)
 		;
 
         *(new+4) = *(old+4);            /* Illegal instruction */

